QGIS Application - Bug report #13941
Debian build failure.
2015-12-03 02:29 AM - Andy Wood

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Build/Install

Affected QGIS version:master
Operating System: Linux
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: up/downstream

Copied to github as #: 21957

Description

This one has been in Master for a few days now:

Linking CXX shared library ../../output/lib/libqgis_gui.so

/usr/bin/cmake -E cmake_link_script CMakeFiles/qgis_gui.dir/link.txt --verbose=1 /usr/bin/c++ -fPIC -g -O2

-fstack-protector-strong [....long list of CMakeFiles....]

/usr/bin/ld: /usr/lib/gcc/x86_64-linux-gnu/5/../../../x86_64-linux-gnu/libQtUiTools.a(quiloader.o): unrecognized relocation (0x2a) in

section ".text'
/usr/bin/Id: final link failed: Bad value
collect2: error: Id returned 1 exit status

src/gui/CMakeFiles/qgis_gui.dir/build.make:13820: recipe for target 'output/lib/libqgis_gui.s0.2.13.0' failed

make[4]: *** [output/lib/libggis_gui.s0.2.13.0] Error 1

History

#1 - 2015-12-03 07:23 AM - Jiirgen Fischer

Which debian are you running? The kernel version alone isn't very helpful. Also note that the nightlies apparently are fine - and we build for Debian jessie
and unstable and for Ubuntu trusty, precise (both also w/ and w/o ubuntugis dependencies), vivid and wily (see CDash). So this is likely a local problem.

Have you tried a clean build?  Admittedly wily/amd64 currently doesn't work - but that's seems to be a weird cmake issue there.

#2 - 2015-12-04 02:59 AM - Richard Duivenvoorde

Confirmed here on clean build on Debian 'testing'

[ 64%)] Linking CXX shared library ../../output/lib/libqgis_gui.so
/usr/bin/Id: /usr/lib/gce/x86_64-linux-gnu/5/../../../x86_64-linux-gnu/libQtUiTools.a(quiloader.o): unrecognized relocation (0x2a) in section ".text'

/usr/bin/Id: final link failed: Bad value
collect2: error: Id returned 1 exit status

src/gui/CMakeFiles/qgis_gui.dir/build.make:13817: recipe for target 'output/lib/libggis_gui.s0.2.13.0' failed

makel[2]: *** [output/lib/libqgis_gui.s0.2.13.0] Error 1

CMakeFiles/Makefile2:1388: recipe for target 'src/gui’‘CMakeFiles/qgis_gui.dir/all’ failed

make[1]: *** [src/gui/CMakeFiles/qgis_gui.dir/all] Error 2

Makefile:160: recipe for target 'all' failed
make: *** [all] Error 2
http://dash.orfeo-toolbox.org/index.php?project=QGIS

FYI:
https://www.mail-archive.com/search?l=debian-bugs-dist@Iists.debian.org&#38;g=subject:%22Bug%23806324\\%3A+qgis\\%3A+F TBF S+on+testing+\\
28unrecognized+relocation++in-+linking+stage\\%29%228&#38;0=newest&#38;f=1

#3 - 2015-12-04 03:51 AM - Andy Wood
Apologies for the lack of relevant information in the original bug report.

The problem was seen a clean build on Debian testing also.

#4 - 2015-12-04 07:14 AM - Jiirgen Fischer
- Resolution set to up/downstream
- Status changed from Open to Closed

So it's apparently a problem in stretch and not QGIS.

#5 - 2015-12-05 10:21 AM - Jiirgen Fischer

See also Debian #806324

#6 - 2015-12-05 10:21 AM - Jiirgen Fischer

- Operating System changed from Linux 4.2.0-1-amd64 to Linux

- OS version changed from SMP Debian 4.2.6-1 (2015-11-10) x86_64 GNU/Linux to Debian stretch

#7 - 2015-12-06 03:48 AM - Richard Duivenvoorde

according to bas/sebastic, have an eye on this:

https://tracker.debian.org/pkg/qt4-x11

could be a fix for our problem when it comes into testing....

#8 - 2015-12-06 07:06 AM - Jiirgen Fischer

Richard Duivenvoorde wrote:

according to bas/sebastic, have an eye on this. could be a fix for our problem when it comes into testing....

Downgrading to Qt4 4.8.7+dfsg-3 from deb http://snapshot.debian.org/archive/debian/20151101T093221Z/ stretch main also helps.

#9 - 2015-12-08 03:19 AM - Richard Duivenvoorde

see also https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=807170 (issue opened for Qt4 Debian maintainers)

#10 - 2015-12-18 03:01 PM - Richard Duivenvoorde
https://www.mail-archive.com/search?l=debian-bugs-dist@lists.debian.org&#38;q=subject:%22Bug%23806324\\%3A+qgis\\%3A+FTBFS+on+testing+\\%28unrecognized+relocation++in+linking+stage\\%29%22&#38;o=newest&#38;f=1
https://www.mail-archive.com/search?l=debian-bugs-dist@lists.debian.org&#38;q=subject:%22Bug%23806324\\%3A+qgis\\%3A+FTBFS+on+testing+\\%28unrecognized+relocation++in+linking+stage\\%29%22&#38;o=newest&#38;f=1
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=806324
https://tracker.debian.org/pkg/qt4-x11
https://tracker.debian.org/pkg/qt4-x11
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=807170

fyi: binutils now updated in Debian Testing, and QGIS is building again \\o/
